Query a DataSet
curl --request POST \
--url https://api.domo.com/v1/datasets/query/execute/{dataset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sql": "SELECT * FROM table"
}
'import requests
url = "https://api.domo.com/v1/datasets/query/execute/{dataset_id}"
payload = { "sql": "SELECT * FROM table" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sql: 'SELECT * FROM table'})
};
fetch('https://api.domo.com/v1/datasets/query/execute/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasource": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"columns": [
"Description",
"% of Inventory Value",
"Cost",
"Total Inventory Value",
"_BATCH_ID_",
"_BATCH_LAST_RUN_"
],
"metadata": [
{
"type": "STRING",
"dataSourceId": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"maxLength": -1,
"minLength": -1,
"periodIndex": 0
},
{
"type": "DOUBLE",
"dataSourceId": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"maxLength": -1,
"minLength": -1,
"periodIndex": 0
},
{
"type": "LONG",
"dataSourceId": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"maxLength": -1,
"minLength": -1,
"periodIndex": 0
},
{
"type": "LONG",
"dataSourceId": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"maxLength": -1,
"minLength": -1,
"periodIndex": 0
},
{
"type": "DOUBLE",
"dataSourceId": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"maxLength": -1,
"minLength": -1,
"periodIndex": 0
},
{
"type": "DATETIME",
"dataSourceId": "ce79d23f-ef7d-4318-9787-ebde54a8c5b4",
"maxLength": -1,
"minLength": -1,
"periodIndex": 0
}
],
"rows": [
[
"Maintenance",
0.0035,
35000,
10000000,
410,
"2019-03-19T18:49:02"
],
[
"Labor",
0.007,
70000,
10000000,
410,
"2019-03-19T18:49:02"
],
[
"Utilities",
0.0087,
87000,
10000000,
410,
"2019-03-19T18:49:02"
],
[
"Space",
0.025,
250000,
10000000,
410,
"2019-03-19T18:49:02"
]
],
"numRows": 4,
"numColumns": 6,
"fromcache": true
}DataSet API
Query a DataSet
Queries the data in an existing Domo DataSet
POST
/
v1
/
datasets
/
query
/
execute
/
{dataset_id}
Query a DataSet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I